API reference
Flows
API reference descriptions are provided in English to preserve the exact published contract.
List Flows
GET /v1/accounts/{AC}/flows
getV1AccountsByAcFlowsPaginated200
Required scope: `templates:read`.
Parameters
Parameters| Name | Type | Required | Description |
|---|
limit | query · integer (1–100) | | |
cursor | query · string (max 2048 chars) | | |
status | query · string (max 32 chars) | | |
AC | path · string (AC… SID) | yes | Account SID |
Errors: 400, 401, 403, 404, 409, 422, 429, 500, 503 — see errors.
Create a local Flow draft
POST /v1/accounts/{AC}/flows
postV1AccountsByAcFlowsIdempotency-Key required201
Required scope: `templates:write`.
Parameters
Parameters| Name | Type | Required | Description |
|---|
AC | path · string (AC… SID) | yes | Account SID |
Request body (6 fields)
Request body| Name | Type | Required | Description |
|---|
categories | string (max 64 chars)[] | yes | |
definition | object | yes | |
endpointMode | "gateway" | "direct" | | |
endpointUri | string (uri, max 2048 chars) | | |
name | string (max 256 chars) | yes | |
wabaSid | string (WB… SID) | yes | |
Errors: 400, 401, 403, 404, 409, 422, 429, 500, 503 — see errors.
Fetch a Flow
GET /v1/accounts/{AC}/flows/{FL}
getV1AccountsByAcFlowsByFl200
Required scope: `templates:read`.
Parameters
Parameters| Name | Type | Required | Description |
|---|
AC | path · string (AC… SID) | yes | |
FL | path · string (FL… SID) | yes | |
Errors: 400, 401, 403, 404, 409, 422, 429, 500, 503 — see errors.
Edit a Flow draft
PATCH /v1/accounts/{AC}/flows/{FL}
patchV1AccountsByAcFlowsByFlIdempotency-Key required200
Required scope: `templates:write`.
Parameters
Parameters| Name | Type | Required | Description |
|---|
AC | path · string (AC… SID) | yes | |
FL | path · string (FL… SID) | yes | |
Request body (5 fields)
Request body| Name | Type | Required | Description |
|---|
categories | string (max 64 chars)[] | | |
definition | object | | |
endpointMode | "gateway" | "direct" | | |
endpointUri | string (uri, max 2048 chars) | | |
name | string (max 256 chars) | | |
Errors: 400, 401, 403, 404, 409, 422, 429, 500, 503 — see errors.
Clone a Flow definition into a new editable draft
POST /v1/accounts/{AC}/flows/{FL}/clone
postV1AccountsByAcFlowsByFlCloneIdempotency-Key required201
Required scope: `templates:write`.
Parameters
Parameters| Name | Type | Required | Description |
|---|
AC | path · string (AC… SID) | yes | |
FL | path · string (FL… SID) | yes | |
Request body (1 fields)
Request body| Name | Type | Required | Description |
|---|
name | string (max 256 chars) | yes | |
Errors: 400, 401, 403, 404, 409, 422, 429, 500, 503 — see errors.
Deprecate a Flow through Meta
POST /v1/accounts/{AC}/flows/{FL}/deprecate
postV1AccountsByAcFlowsByFlDeprecateIdempotency-Key required202
Required scope: `templates:write`.
Parameters
Parameters| Name | Type | Required | Description |
|---|
AC | path · string (AC… SID) | yes | |
FL | path · string (FL… SID) | yes | |
Errors: 400, 401, 403, 404, 409, 422, 429, 500, 503 — see errors.
Rotate the plaintext-signing secret for a gateway Flow endpoint
POST /v1/accounts/{AC}/flows/{FL}/endpoint/secret/rotate
postV1AccountsByAcFlowsByFlEndpointSecretRotateIdempotency-Key required200
Required scope: `templates:write`.
Parameters
Parameters| Name | Type | Required | Description |
|---|
AC | path · string (AC… SID) | yes | |
FL | path · string (FL… SID) | yes | |
Errors: 400, 401, 403, 404, 409, 422, 429, 500, 503 — see errors.
List immutable Flow definition versions
GET /v1/accounts/{AC}/flows/{FL}/history
getV1AccountsByAcFlowsByFlHistoryPaginated200
Required scope: `templates:read`.
Parameters
Parameters| Name | Type | Required | Description |
|---|
limit | query · integer (1–100) | | |
cursor | query · string (max 2048 chars) | | |
AC | path · string (AC… SID) | yes | |
FL | path · string (FL… SID) | yes | |
Errors: 400, 401, 403, 404, 409, 422, 429, 500, 503 — see errors.
Publish a Flow through Meta
POST /v1/accounts/{AC}/flows/{FL}/publish
postV1AccountsByAcFlowsByFlPublishIdempotency-Key required202
Required scope: `templates:write`.
Parameters
Parameters| Name | Type | Required | Description |
|---|
AC | path · string (AC… SID) | yes | |
FL | path · string (FL… SID) | yes | |
Errors: 400, 401, 403, 404, 409, 422, 429, 500, 503 — see errors.
Flow endpoint and per-sender encryption-key readiness
GET /v1/accounts/{AC}/flows/{FL}/readiness
getV1AccountsByAcFlowsByFlReadiness200
Required scope: `templates:read`.
Parameters
Parameters| Name | Type | Required | Description |
|---|
AC | path · string (AC… SID) | yes | |
FL | path · string (FL… SID) | yes | |
Errors: 400, 401, 403, 404, 409, 422, 429, 500, 503 — see errors.